# pandas.core.groupby.GroupBy.median

GroupBy.median(numeric_only=NoDefault.no_default)

  Compute median of groups, excluding missing values.

  For multiple groupings, the result index will be a MultiIndex

  Parameters
    numeric_only bool, default True

      Include only float, int, boolean columns. If None, will attempt to use everything, then use only numeric data.

  Returns
    Series or DataFrame

      Median of values within each group.

  See also

  `Series.groupby`

    Apply a function groupby to a Series.

  `DataFrame.groupby`

    Apply a function groupby to each row or column of a DataFrame.